Bug 78655 - mozilla eats cpu on quit
mozilla eats cpu on quit
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-27 00:04 EST by Need Real Name
Modified: 2007-04-18 12:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-11-27 00:04:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When I quit mozilla, or if mozilla dies, at least one mozilla-bin process
continues to run, consuming all available cpu time.

Version-Release number of selected component (if applicable):
mozilla-1.0.1-26

How reproducible:
Always

Steps to Reproduce:
1. start mozilla
2. hit <ctrl-q> to quit mozilla
3. run top, observe mozilla eating your cpu
	

Actual Results:  mozilla-bin becomes the top process, taking 95+% CPU. 

Expected Results:  mozilla-bin should not be running after mozilla is closed.

Additional info:

Sometimes in this state attempting to start a new mozilla will produce a working
browser, but most of the time mozilla will simply refuse to start.  'killall
mozilla-bin' does remove the errant processes.

I'm going to try installing mozilla 1.1 to see if the problem exists there as well.
Comment 1 Michael Lee Yohe 2002-11-27 00:38:56 EST
I do not have this problem with my installation of Mozilla (using the Modern
theme).  I have found that some bugs tend to be related to a particular theme
that Mozilla is using (strange, indeed).  Try changing to a different theme and
then perform your steps to cause the problem.

$ rpm -q mozilla
mozilla-1.0.1-26

Also - strace can be a handy dandy tool in detecting why a process is stuck in
an infinite loop cycle.  Create an attachment with a sample strace from your
stuck mozilla-bin process:

$ ps ax | grep galeon
 5286 ?        S      5:45 /usr/lib/mozilla-1.0.1/mozilla-bin

$ strace -p 5286 1> mozilla-bin.stdout 2> mozilla-bin.stderr

*wait for about ten seconds*

CTRL+C to abort

Attach the resulting files to the bug to help Chris see what your process is doing.
Comment 2 Need Real Name 2002-11-27 01:09:44 EST
I just tried the 'Modern' theme (I normally use 'Classic'), and have the same
problem.  I've tried strace, but it produces no output for this situation:

mwl@voyager:~>ps -auxww|grep mozilla-bin
mwl      29630 44.4  5.5 38852 28500 pts/8   R    00:58   0:32
/usr/lib/mozilla-1.0.1/mozilla-bin --display :0 http://www.google.com/

mwl@voyager:~>strace -p 29630 1> mozilla-bin.stdout 2> mozilla-bin.stderr
(I hit ctrl-c after about 20 seconds with top running in another window showing
mozilla-bin at >95% CPU)
mwl@voyager:~>ls -lart mozilla*
-rw-------    1 mwl      mwl             0 Nov 27 01:00 mozilla-bin.stdout
-rw-------    1 mwl      mwl             0 Nov 27 01:00 mozilla-bin.stderr
Comment 3 Need Real Name 2002-11-27 01:40:09 EST
I've just installed mozilla 1.1, built from the source rpm provided at
mozilla.org.  Mozilla 1.1 has the same problem (but did not, built from that
same srpm, on the same machine running RHL6.2 last week).
Comment 4 Michael Lee Yohe 2002-11-27 09:35:52 EST
Interesting - I would almost bet that the last command is a WAIT() call.  Since
you can't tap into the program's process for a system trace - dump the WHOLE bit
(it will be large!) into an strace output and submit.

$ strace /usr/lib/mozilla-1.0.1/mozilla-bin 1> mozilla-bin.stdout 2>
mozilla-bin.stderr &

While in the terminal, you can see what's going on by:

$ tail -f mozilla-bin.stderr

Do the "CTRL+Q" from Mozilla and let it spew until it hangs.  THEN, CTRL+C it so
that all the results are stored in the file - then submit output as an attachment.
Comment 5 Bill Nottingham 2006-08-07 13:38:43 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 10:39:06 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.